// in which two textures get rendered on top of each other

uniform sampler2D baseMap;
uniform sampler2D topMap;

varying vec2 Texcoord;


void main(void)
{
	vec4 base = texture2D(baseMap, Texcoord);
	vec4 top = texture2D(topMap, Texcoord);
	
	base += 0.4 * vec4(top.x, top.y, top.z, 0);
	
	//gl_FragColor = texture2D(baseMap, Texcoord);
	gl_FragColor = base;	
}